SDL_GamepadHasButton(3)

NAME
SDL_GamepadHasButton - Query whether a gamepad has a given button.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GamepadHasButton(SDL_Gamepad *gamepad, SDL_GamepadButton button);

DESCRIPTION
This merely reports whether the gamepad's mapping defined this button, as that is all the information SDL has about the physical device.

FUNCTION PARAMETERS

gamepad
    a gamepad

button
    a button enum value (an SDL_GamepadButton
     value)

RETURN VALUE
Returns SDL_TRUE
 if the gamepad has this button, SDL_FALSE
 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GamepadHasAxis(3)